> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.makeswift.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.makeswift.com/_mcp/server.

# Get Site

GET https://api.makeswift.com/v2/sites/{siteId}

Returns a site by its ID.

Reference: https://docs.makeswift.com/developer/api-reference/rest/sites/get-site

## Authentication

- `x-api-key` header (required) — API key authentication. Accepts either: - App API key (e.g. sk_eczMHVBY9fV6GYFhvs53qcnxq7yptlXL3ABKOZtn6dQ) - Site API key (UUID format, e.g. 550e8400-e29b-41d4-a716-446655440000)

## Request

### Path parameters

- `siteId` (string, required) — The site ID for the site you are requesting.

## Response

### 200

- `object` (enum, required) — The type of the object
  - Allowed values: `site`
- `id` (string, required)
- `name` (string, required) — The site name.
- `hostOrigin` (string, required, nullable) — The public URL where your site is hosted. This is the URL that Makeswift uses to render your site for editing.
- `publicApiKey` (string, required) — The publishable API key that a host can use to get page and component data for rendering your site.
- `defaultLocale` (string, required) — The primary locale of this site.
- `localeManagementMode` (enum, required) — Controls whether locales are managed internally via the builder or externally via API.
  - Allowed values: `internal`, `external`
- `defaultLocalePathPrefix` (string, optional, nullable)

## Errors

### 403 Forbidden Error

- `object` (enum, required)
  - Allowed values: `error`
- `code` (enum, required)
  - Allowed values: `forbidden`
- `message` (string, required)

## Examples

**Response**

```json
{
  "object": "site",
  "id": "string",
  "name": "Hearth Furniture Company",
  "hostOrigin": "https://hearthfurniture.com",
  "publicApiKey": "string",
  "defaultLocale": "en-US",
  "localeManagementMode": "internal",
  "defaultLocalePathPrefix": "string"
}
```

**SDK Code**

```python
import requests

url = "https://api.makeswift.com/v2/sites/siteId"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.makeswift.com/v2/sites/siteId';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.makeswift.com/v2/sites/siteId"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.makeswift.com/v2/sites/siteId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.makeswift.com/v2/sites/siteId")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.makeswift.com/v2/sites/siteId', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.makeswift.com/v2/sites/siteId");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.makeswift.com/v2/sites/siteId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```